# Une application web complète avec Python

## Python avec bdd
- psycopg3 et les requêtes SQL
- Connexion à une base
- Injection SQL !
- Manipulation des données

## Python Flask
- Notion de client / serveur
- API
- Templating
- Evènements / boucle

## Appli web complète


# Orga
## TP
- Manipuler des fichiers et comprendre les exceptions
- Découverte de Flask et du templating pour générer des pages web dynamiques ou des API REST
- Connexion et utilisation d'une base de données en python (postgres) : requêtes + exploitation des données
- Micro-projet d'application d'utilisation d'une base de données et de l'affichage de données sur une page web via flask (basée sur les deux précédents TP)
## Cours
- Synthèses TP
## TD
- fichiers
- exceptions